javax.security.auth

## Class DestroyFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.auth.DestroyFailedException

- All Implemented Interfaces:
    Serializable

      public class DestroyFailedException
      extends Exception

  Signals that a `destroy` operation failed.

  This exception is thrown by credentials implementing the `Destroyable` interface when the `destroy` method fails.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DestroyFailedException()` Constructs a DestroyFailedException with no detail message.
    `DestroyFailedException(String msg)` Constructs a DestroyFailedException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DestroyFailedException

          public DestroyFailedException()

      Constructs a DestroyFailedException with no detail message. A detail message is a String that describes this particular exception.

    - #### DestroyFailedException

          public DestroyFailedException(String msg)

      Constructs a DestroyFailedException with the specified detail message. A detail message is a String that describes this particular exception.

      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.